# TPOT Object

* [TPOT Object](documentation/TPOT.md)

* * *

# Pipeline Operators

## Models
* [pipeline_operators.models.tree.DecisionTreeClassifier](documentation/pipeline_operators/models/classifiers/tree/DecisionTreeClassifier.md)
* [pipeline_operators.models.svm.DecisionTreeClassifier](documentation/pipeline_operators/models/classifiers/svm/LinearSVC.md)
* [pipeline_operators.models.ensemble.RandomForestClassifier](documentation/pipeline_operators/models/classifiers/ensemble/RandomForestClassifier.md)
* [pipeline_operators.models.ensemble.GradientBoostingClassifier](documentation/pipeline_operators/models/classifiers/ensemble/GradientBoostingClassifier.md)
* [pipeline_operators.models.ensemble.ExtraTrees](documentation/pipeline_operators/models/classifiers/ensemble/ExtraTrees.md)
* [pipeline_operators.models.ensemble.AdaBoost](documentation/pipeline_operators/models/classifiers/ensemble/AdaBoost.md)
* [pipeline_operators.models.nearest_neighbors.kNeighborsClassifier](documentation/pipeline_operators/models/classifiers/nearest_neighbors/kNeighborsClassifier.md)
* [pipeline_operators.models.linear_model.LogisticRegression](documentation/pipeline_operators/models/classifiers/linear_model/LogisticRegression.md)
* [pipeline_operators.models.linear_model.PassiveAggressive](documentation/pipeline_operators/models/classifiers/linear_model/PassiveAggressive.md)
* [pipeline_operators.models.naive_bayes.BernoulliNB](documentation/pipeline_operators/models/classifiers/naive_bayes/BernoulliNB.md)
* [pipeline_operators.models.naive_bayes.MultinomialNB](documentation/pipeline_operators/models/classifiers/naive_bayes/MultinomialNB.md)
* [pipeline_operators.models.naive_bayes.GaussianNB](documentation/pipeline_operators/models/classifiers/naive_bayes/GaussianNB.md)


## Feature Selection
* [pipeline_operators.feature_selection.VarianceThreshold](documentation/pipeline_operators/feature_selection/VarianceThreshold.md)
* [pipeline_operators.feature_selection.SelectKBest](documentation/pipeline_operators/feature_selection/SelectKBest.md)
* [pipeline_operators.feature_selection.SelectPercentile](documentation/pipeline_operators/feature_selection/SelectPercentile.md)
* [pipeline_operators.feature_selection.RFE](documentation/pipeline_operators/feature_selection/RFE.md)

## Pre-processing
* [pipeline_operators.preprocessing.PolynomialFeatures](documentation/pipeline_operators/preprocessing/PolynomialFeatures.md)
* [pipeline_operators.preprocessing.ZeroCount](documentation/pipeline_operators/preprocessing/ZeroCount.md)
* [pipeline_operators.preprocessing.scaling.StandardScaler](documentation/pipeline_operators/preprocessing/scaling/StandardScaler.md)
* [pipeline_operators.preprocessing.scaling.RobustScaler](documentation/pipeline_operators/preprocessing/scaling/RobustScaler.md)
* [pipeline_operators.preprocessing.scaling.MinMaxScaler](documentation/pipeline_operators/preprocessing/scaling/MinMaxScaler.md)
* [pipeline_operators.preprocessing.scaling.MaxAbsScaler](documentation/pipeline_operators/preprocessing/scaling/MaxAbsScaler.md)
* [pipeline_operators.preprocessing.scaling.Binarizer](documentation/pipeline_operators/preprocessing/scaling/Binarizer.md)

## Decomposition
*  [pipeline_operators.decomposition.RandomizedPCA](documentation/pipeline_operators/decomposition/RandomizedPCA.md)
*  [pipeline_operators.decomposition.FastICA](documentation/pipeline_operators/decomposition/FastICA.md)

## Kernel Approximation
* [pipeline_operators.kernel_approximation.RBFSampler](documentation/pipeline_operators/kernel_approximation/RBFSampler.md)
* [pipeline_operators.kernel_approximation.Nystroem](documentation/pipeline_operators/kernel_approximation/Nystroem.md)

## Cluster
*  [pipeline_operators.cluster.FeatureAgglomeration](documentation/pipeline_operators/cluster/FeatureAgglomeration.md)
